This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 221708 - Sylpheed-Claws doesn't display the X-Face: picture
Sylpheed-Claws doesn't display the X-Face: picture
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sylpheed-claws (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-06 09:30 EST by Andrew Zabolotny
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.7.1-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 11:09:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Zabolotny 2007-01-06 09:30:49 EST
Description of problem:

X-Face tag does not work (e.g. no face displayed). The Face tag works though.

Version-Release number of selected component (if applicable):

2.6.0

How reproducible:

Always.

Steps to Reproduce:
1. Create a message with this tag (my face):
X-Face: #%`a@cSvZ:n@M%n/to$C^!{JE%'%7_0xb("Hr%7Z0LDKO7?w=m~CU#d@-.2yO<l^giDz{>9
 epB|2@pe{%4[Q3pw""FeqiT6rOc>+8|ED/6=Eh/4l3Ru>qRC]ef%ojRz;GQb=uqI<yb'yaIIzq^NlL
 rf<gnIz)JE/7:KmSsR[wN`b\l8:z%^[gNq#d1\QSuya1(
2. Open it in Sylpheed-Claws
  
Actual results:

The face is not displayed.

Expected results:

Should be (it was in plain Sylpheed).

Additional info:

It seems that the spec file is missing the --enable-compface configure switch. I
got the srpm, re-built it with the added switch and - tadam! - it works now. And
btw the spec lists 'compface' in the list of pre-requisites, so it seems the guy
that did the 'configure' line just forgot to add --enable-compface.
Comment 1 Andreas Bierfert 2007-01-17 09:55:31 EST
Hm maybe the configure changed over time ;) I don't know but will look into it
for the next push thanks ...
Comment 2 Andrew Zabolotny 2007-01-23 15:05:55 EST
Not fixed yet, you forgot to add build-dependency of compface-devel:

[3|zap@zap|~]diff -u claws-mail.spec.orig claws-mail.spec 
--- claws-mail.spec.orig        2007-01-18 13:12:11.000000000 +0300
+++ claws-mail.spec     2007-01-23 22:51:29.000000000 +0300
@@ -26,6 +26,7 @@
 BuildRequires:  gettext-devel
 BuildRequires:  libetpan-devel >= 0.49
 BuildRequires:  libgnomeprintui22-devel
+BuildRequires:  compface-devel
 Obsoletes: sylpheed-claws <= 2.6.0
 Provides: sylpheed-claws = %{version}-%{release}
 
@@ -107,7 +108,7 @@
            --disable-mathml-viewer-plugin \
            --enable-aspell \
            --disable-dependency-tracking \
-           --disable-rpath\
+           --disable-rpath \
            --enable-compface
 
 %{__make} %{?_smp_mflags}

With these changes builds and works ok - tested (especially the second! :)

Note You need to log in before you can comment on or make changes to this bug.